Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(49)

Issue 1466473003: Do not show untrustworthy strings in the basic auth dialog. (Closed)

Created:
3 years, 9 months ago by palmer
Modified:
3 years, 8 months ago
CC:
chromium-reviews, tfarina, dzhioev+watch_chromium.org, achuith+watch_chromium.org, vabr+watchlistlogin_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Do not show untrustworthy strings in the basic auth dialog. Browser chrome should display only trustworthy or verified strings. BUG=544244 Committed: https://crrev.com/d4fe8211476a0bba1a347204e430aa283c2e7d7f Cr-Commit-Position: refs/heads/master@{#363658}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Handle Mac and Android, and respond to comments. Re-add proxy string. #

Total comments: 2

Patch Set 3 : Resolve memory leak. #

Total comments: 6

Patch Set 4 : Resolve nits. #

Patch Set 5 : Correct Cocoa (update the XIB). #

Total comments: 17

Patch Set 6 : Tweak the version strings in the XIB. #

Total comments: 4

Patch Set 7 : Fix XIB. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+97 lines, -63 lines) Patch
M chrome/app/generated_resources.grd View 1 2 3 4 5 6 1 chunk +3 lines, -9 lines 0 comments Download
M chrome/app/nibs/HttpAuthLoginSheet.xib View 1 2 3 4 5 6 6 chunks +17 lines, -7 lines 0 comments Download
M chrome/browser/ui/android/chrome_http_auth_handler.h View 1 2 3 4 5 6 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/android/chrome_http_auth_handler.cc View 1 2 3 4 5 6 3 chunks +8 lines, -5 lines 0 comments Download
M chrome/browser/ui/android/login_prompt_android.cc View 1 2 chunks +4 lines, -2 lines 0 comments Download
M chrome/browser/ui/cocoa/login_prompt_cocoa.h View 1 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/login_prompt_cocoa.mm View 1 2 3 4 3 chunks +15 lines, -2 lines 0 comments Download
M chrome/browser/ui/login/login_prompt.h View 2 chunks +5 lines, -2 lines 0 comments Download
M chrome/browser/ui/login/login_prompt.cc View 1 2 3 6 chunks +15 lines, -24 lines 0 comments Download
M chrome/browser/ui/views/login_prompt_views.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/browser/ui/views/login_view.h View 1 2 chunks +4 lines, -2 lines 0 comments Download
M chrome/browser/ui/views/login_view.cc View 1 2 3 chunks +18 lines, -6 lines 0 comments Download

Messages

Total messages: 30 (6 generated)
palmer
PTAL. Thanks!
3 years, 9 months ago (2015-11-20 00:22:37 UTC) #2
meacer
https://codereview.chromium.org/1466473003/diff/1/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (left): https://codereview.chromium.org/1466473003/diff/1/chrome/app/generated_resources.grd#oldcode3444 chrome/app/generated_resources.grd:3444: - The proxy <ph name="DOMAIN">$1<ex>google.com</ex></ph> requires a username and ...
3 years, 9 months ago (2015-11-20 00:31:31 UTC) #3
palmer
https://codereview.chromium.org/1466473003/diff/1/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (left): https://codereview.chromium.org/1466473003/diff/1/chrome/app/generated_resources.grd#oldcode3444 chrome/app/generated_resources.grd:3444: - The proxy <ph name="DOMAIN">$1<ex>google.com</ex></ph> requires a username and ...
3 years, 9 months ago (2015-11-20 01:29:53 UTC) #4
meacer
Lgtm with a question https://codereview.chromium.org/1466473003/diff/20001/chrome/browser/ui/views/login_view.cc File chrome/browser/ui/views/login_view.cc (right): https://codereview.chromium.org/1466473003/diff/20001/chrome/browser/ui/views/login_view.cc#newcode33 chrome/browser/ui/views/login_view.cc:33: message_label_(new views::Label(explanation)), Looks like this ...
3 years, 9 months ago (2015-11-20 01:36:14 UTC) #5
palmer
https://codereview.chromium.org/1466473003/diff/20001/chrome/browser/ui/views/login_view.cc File chrome/browser/ui/views/login_view.cc (right): https://codereview.chromium.org/1466473003/diff/20001/chrome/browser/ui/views/login_view.cc#newcode33 chrome/browser/ui/views/login_view.cc:33: message_label_(new views::Label(explanation)), On 2015/11/20 01:36:14, Mustafa Emre Acer wrote: ...
3 years, 9 months ago (2015-11-20 02:23:31 UTC) #6
palmer
PTAL, all. Thanks! meacer: c/b/ui/login msw: c/b/ui/views groby: c/b/ui/cocoa yfriedman: c/b/ui/android
3 years, 9 months ago (2015-11-20 19:09:47 UTC) #8
meacer
c/b/ui/login lgtm
3 years, 9 months ago (2015-11-20 19:14:02 UTC) #9
msw
lgtm with nits, but please post screenshots to the bug. https://codereview.chromium.org/1466473003/diff/40001/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/1466473003/diff/40001/chrome/app/generated_resources.grd#newcode3444 ...
3 years, 9 months ago (2015-11-20 19:15:07 UTC) #10
palmer
https://codereview.chromium.org/1466473003/diff/40001/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/1466473003/diff/40001/chrome/app/generated_resources.grd#newcode3444 chrome/app/generated_resources.grd:3444: + The connection to this site is not secure. ...
3 years, 9 months ago (2015-11-20 19:33:48 UTC) #11
felt
lgtm
3 years, 9 months ago (2015-11-20 20:19:21 UTC) #12
groby-ooo-7-16
I'm not sure how this would work on Cocoa, since the field has not been ...
3 years, 9 months ago (2015-11-20 22:12:56 UTC) #13
Yaron
https://codereview.chromium.org/1466473003/diff/100001/chrome/browser/ui/android/chrome_http_auth_handler.cc File chrome/browser/ui/android/chrome_http_auth_handler.cc (right): https://codereview.chromium.org/1466473003/diff/100001/chrome/browser/ui/android/chrome_http_auth_handler.cc#newcode85 chrome/browser/ui/android/chrome_http_auth_handler.cc:85: env, authority_ + base::ASCIIToUTF16(" ") + explanation_); You may ...
3 years, 9 months ago (2015-11-23 16:56:14 UTC) #14
palmer
https://codereview.chromium.org/1466473003/diff/100001/chrome/browser/ui/android/chrome_http_auth_handler.cc File chrome/browser/ui/android/chrome_http_auth_handler.cc (right): https://codereview.chromium.org/1466473003/diff/100001/chrome/browser/ui/android/chrome_http_auth_handler.cc#newcode85 chrome/browser/ui/android/chrome_http_auth_handler.cc:85: env, authority_ + base::ASCIIToUTF16(" ") + explanation_); On 2015/11/23 ...
3 years, 8 months ago (2015-11-24 00:15:42 UTC) #15
groby-ooo-7-16
Sorry for the xib nitpickery - I never trust newer IB versions. Based on the ...
3 years, 8 months ago (2015-11-24 01:41:56 UTC) #16
Yaron
https://codereview.chromium.org/1466473003/diff/100001/chrome/browser/ui/android/chrome_http_auth_handler.cc File chrome/browser/ui/android/chrome_http_auth_handler.cc (right): https://codereview.chromium.org/1466473003/diff/100001/chrome/browser/ui/android/chrome_http_auth_handler.cc#newcode85 chrome/browser/ui/android/chrome_http_auth_handler.cc:85: env, authority_ + base::ASCIIToUTF16(" ") + explanation_); On 2015/11/24 ...
3 years, 8 months ago (2015-11-24 16:01:28 UTC) #18
newt (away)
https://codereview.chromium.org/1466473003/diff/100001/chrome/browser/ui/android/chrome_http_auth_handler.cc File chrome/browser/ui/android/chrome_http_auth_handler.cc (right): https://codereview.chromium.org/1466473003/diff/100001/chrome/browser/ui/android/chrome_http_auth_handler.cc#newcode85 chrome/browser/ui/android/chrome_http_auth_handler.cc:85: env, authority_ + base::ASCIIToUTF16(" ") + explanation_); On 2015/11/24 ...
3 years, 8 months ago (2015-11-24 16:57:28 UTC) #19
palmer
https://codereview.chromium.org/1466473003/diff/80001/chrome/app/nibs/HttpAuthLoginSheet.xib File chrome/app/nibs/HttpAuthLoginSheet.xib (right): https://codereview.chromium.org/1466473003/diff/80001/chrome/app/nibs/HttpAuthLoginSheet.xib#newcode12 chrome/app/nibs/HttpAuthLoginSheet.xib:12: <outlet property="authorityField_" destination="abu-ex-fsZ" id="52"/> On 2015/11/24 01:41:55, groby wrote: ...
3 years, 8 months ago (2015-12-01 21:15:21 UTC) #20
groby-ooo-7-16
xib lgtm (ilcm[1]) [1] ilcm == i like cryptic messages.
3 years, 8 months ago (2015-12-07 21:18:36 UTC) #21
palmer
yfriedman, newt: We don't seem to be getting an answer from the i18n people. OK ...
3 years, 8 months ago (2015-12-07 21:34:29 UTC) #22
newt (away)
On 2015/12/07 21:34:29, palmer wrote: > yfriedman, newt: We don't seem to be getting an ...
3 years, 8 months ago (2015-12-07 21:49:12 UTC) #23
Yaron
lgtm
3 years, 8 months ago (2015-12-07 21:49:57 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1466473003/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1466473003/120001
3 years, 8 months ago (2015-12-07 23:54:19 UTC) #27
commit-bot: I haz the power
Committed patchset #7 (id:120001)
3 years, 8 months ago (2015-12-08 01:07:20 UTC) #28
commit-bot: I haz the power
3 years, 8 months ago (2015-12-08 01:08:15 UTC) #30
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/d4fe8211476a0bba1a347204e430aa283c2e7d7f
Cr-Commit-Position: refs/heads/master@{#363658}

Powered by Google App Engine
This is Rietveld 408576698